/**
 * @vitest-environment jsdom
 */

import { render } from "@testing-library/react";

import Separator from "../Separator";

describe("rendering Separator", () => {
  describe("initial state", () => {
    it("has default class pagination__separator", () => {
      const { getByTestId } = render(<Separator data-testid="separator" />);
      expect(getByTestId("separator")).toHaveClass("pagination__separator");
    });
  });
  describe("rendering Item", () => {
    it("has additional class when className is set", () => {
      const { getByTestId } = render(
        <Separator data-testid="separator" className="test-class" />,
      );
      expect(getByTestId("separator")).toHaveClass("test-class");
    });
  });
});
